Under an Ubuntu / Debian-based system, we may get this error when trying to mount an iOS5 powered device like an iPhone 4 or iPad 1/2:

Unable to mount (...)
Unhandled Lockdown Error (...)

This problem is really frustrating and to get rid of it, you need to follow, these instructions:

1. Unplug your iPhone or any iOS5 device from your computer, then start the terminal and install first the libimobiledevice-utils and ifuse packages:

sudo apt-get install libimobiledevice-utils ifuse

2. Connect now your device to your computer and run this command:

idevicepair unpair && idevicepair pair

3. If the operation is successful, you may get something like this as returned outputs:

~$ idevicepair unpair && idevicepair pair
SUCCESS: Unpaired with device (...)
SUCCESS: Paired with device (...)

4. Disconnect and reconnect your iPhone 4 and it will be mounted automatically.


Post a Comment